%define _disable_ld_no_undefined 1

%define fversion %{version}
%define major 0
%define decmajor 1
%define encmajor 1
%define libname %mklibname theora %major
%define libnamedec %mklibname theoradec %decmajor
%define libnameenc %mklibname theoraenc %decmajor
%define develname %mklibname -d theora

Summary: Theora video compression codec
Name: libtheora
Version: 1.1.1
Release: %mkrel 15
Source0: https://downloads.xiph.org/releases/theora/%{name}-%{fversion}.tar.bz2
#gw this is from texlive, it is not part of tetex
Source1: ltablex.sty
Patch0: libtheora-1.1.1-linking.patch
URL: https://www.theora.org/
License: BSD
Group: System/Libraries
BuildRequires: automake >= 1.7.9
BuildRequires: autoconf2.5 >= 2.54
BuildRequires: pkgconfig(vorbis) >= 1.0.1
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libname}
Summary: Theora video compression codec
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnamedec}
Summary: Theora video decoder
Group: System/Libraries

%description -n %{libnamedec}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnameenc}
Summary: Theora video encoder
Group: System/Libraries

%description -n %{libnameenc}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %develname
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: libogg-devel >= 1.0.1
Requires: %libname = %version
Requires: %libnameenc = %version
Requires: %libnamedec = %version
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d theora 0

%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n theora-tools
Summary:	Command line tools for Theora videos
Group:		Video/Utilities

%description -n theora-tools
This package contains simple command line tools for use
with theora bitstreams.

%prep
%setup -q -n %name-%fversion
%autopatch -p1

cp %SOURCE1 doc/spec/

#fix build against libpng
sed -i -e 's,png_sizeof,sizeof,g' ./examples/png2theora.c

%build
autoreconf -vfi -Im4
%configure \
	--disable-static
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install docdir=%_datadir/doc/libtheora
mv %buildroot%_datadir/doc/libtheora installed-docs
rm -f installed-docs/doxygen-build.stamp

#tools
install -Dpm 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -Dpm 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
install -Dpm 755 examples/.libs/player_example %{buildroot}%{_bindir}/theora_player
install -Dpm 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %libname
%doc README COPYING
%_libdir/libtheora.so.%{major}*

%files -n %libnamedec
%doc README COPYING
%_libdir/libtheoradec.so.%{decmajor}*

%files -n %libnameenc
%doc README COPYING
%_libdir/libtheoraenc.so.%{encmajor}*

%files -n %develname
%doc installed-docs/*
%_includedir/theora/
%_libdir/libtheora.so
%_libdir/libtheoradec.so
%_libdir/libtheoraenc.so
%_libdir/pkgconfig/theora.pc
%_libdir/pkgconfig/theoradec.pc
%_libdir/pkgconfig/theoraenc.pc

%files -n theora-tools
%{_bindir}/*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.1.1-15.mga9
+ Revision: 1839084
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.1.1-14.mga8
+ Revision: 1514708
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-13.mga7
+ Revision: 1299184
- Mageia 7 Mass Rebuild

* Fri May 04 2018 wally <wally> 1.1.1-12.mga7
+ Revision: 1226202
- disable static build and drop .la files

* Thu Feb 04 2016 umeabot <umeabot> 1.1.1-11.mga6
+ Revision: 935479
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-10.mga5
+ Revision: 744200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-9.mga5
+ Revision: 681810
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 wally <wally> 1.1.1-8.mga5
+ Revision: 647940
- create theora-tools subpkg for simple cmd tools

* Sun Jul 06 2014 wally <wally> 1.1.1-7.mga5
+ Revision: 647394
- add patch to fix linking

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-6.mga4
+ Revision: 507396
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-5.mga3
+ Revision: 358245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.1.1-4.mga3
+ Revision: 323455
- clean spec
- fix rpm group

* Fri Jan 14 2011 ahmad <ahmad> 1.1.1-3.mga2
+ Revision: 17529
- drop old/unneeded scriptlets
- imported package libtheora


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2011.0
+ Revision: 627715
- don't force the usage of automake1.7

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 460833
- new version

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 449247
- Fix BuildRequires
- update to new version 1.1.0

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-3mdv2010.0
+ Revision: 425755
- rebuild

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-2mdv2009.1
+ Revision: 300809
- provide libtheora by library subpackage

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.1
+ Revision: 299912
- new version
- remove patch

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 1.0-0.rc2.1mdv2009.1
+ Revision: 299449
- new version
- drop patch

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 1.0-0.rc1.1mdv2009.1
+ Revision: 294201
- add missing file
- new version

* Tue Aug 19 2008 Emmanuel Andry <eandry@mandriva.org> 1.0-0.beta3.2mdv2009.0
+ Revision: 273926
- enable _disable_ld_no_undefined

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 1.0-0.beta3.1mdv2009.0
+ Revision: 207511
- new version
- add missing LaTeX style for documentation build
- add new libs theoradec and theoraenc
- enable checks

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta2.1mdv2008.1
+ Revision: 101110
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.beta1.1mdv2008.1
+ Revision: 96167
- new version
- new devel name

* Sat Jun 23 2007 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha7.1mdv2008.0
+ Revision: 43409
- Import libtheora



* Thu Jun 22 2006 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha7.1mdv2007.0
- new version

* Fri Jun  9 2006 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha6.1mdv2007.0
- drop patches
- new version

* Wed Sep  7 2005 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha5.1mdk
- rediff patch 0
- new version

* Thu May 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.alpha4.2mdk
- rebuild

* Mon Apr 25 2005 Götz Waschk <waschk@mandriva.org> 1.0-0.alpha4.1mdk
- mkrel
- libification
- rediff patch 0
- new version

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.alpha3.3mdk
- lib64 fixes
- build static library with PIC as it can be built into a DSO

* Wed Apr 21 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.alpha3.2mdk
- fix buildrequires
- fix URL

* Fri Apr  2 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0-0.alpha3.1mdk
- initial package
